This is a Laravel 5 package that provides k_b management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `kependudukan/k_b`.

    "kependudukan/k_b": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Kependudukan\KB\Providers\KBServiceProvider::class,

```

And also add it to alias

```php
'KB'  => Kependudukan\KB\Facades\KB::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Kependudukan\KB\Providers\KBServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Kependudukan\KB\Providers\KBServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Kependudukan\KB\Providers\KBServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Kependudukan\KB\Providers\KBServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Kependudukan\KB\Providers\KBServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Kependudukan\KB\Providers\KBServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


