<?php

// Admin  routes  for province
Route::group(['prefix' => '/admin/k_b'], function () {
    Route::put('news/workflow/{province}/{step}', 'ProvinceAdminController@putWorkflow');
    Route::resource('province', 'ProvinceAdminController');
});


// User  routes for province
Route::group(['prefix' => '/user/k_b'], function () {
    Route::resource('province', 'ProvinceUserController');
});

// Public  routes for province
Route::group(['prefix' => '/k_b_s_s'], function () {
    Route::get('news/workflow/{province}/{step}/{user}', 'ProvinceController@getWorkflow');
    Route::get('/', 'ProvincePublicController@index');
    Route::get('/{slug?}', 'ProvincePublicController@show');
});


