<?php

namespace Kependudukan\KB\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProvinceListTransformer extends TransformerAbstract
{
    public function transform(\Kependudukan\KB\Models\Province $province)
    {
        return [
            'id'                => $province->getRouteKey(),
            'name'              => $province->name,
            'PRIMARY'           => $province->PRIMARY,
            'status'            => trans('app.'.$province->status),
            'created_at'        => format_date($province->created_at),
            'updated_at'        => format_date($province->updated_at),
        ];
    }
}